Create resident subuser list
Creates a residential proxy list inside a subpackage.
Path Parameters
apiKey*string
Client API key.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://proxy-seller.com/personal/api/v2/abc123/residentsubuser/list/add" \ -H "Content-Type: application/json" \ -d '{ "geo": { "isp": "FIRST-STEP", "city": "Seattle", "region": "Washington", "country": "US" }, "title": "US Washington", "export": { "ext": "txt", "ports": 1000 }, "rotation": 60, "whitelist": "127.0.0.1,192.168.0.1", "package_key": "f9ea7063d7a699b12b3e" }'{
"data": {
"id": 561,
"geo": [
{
"isp": "FIRST-STEP",
"city": "Seattle",
"region": "Washington",
"country": "US"
}
],
"login": "3c8aa1d4",
"title": "US Washington",
"export": {
"ext": "txt",
"ports": 1000
},
"password": "AZT62Dx3",
"rotation": 60,
"whitelist": "127.0.0.1,192.168.0.1"
},
"errors": [],
"status": "success"
}{
"code": 400,
"message": "Bad request",
"customData": null
}{
"error": "Too many requests"
}